package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
vis = vis | (programhelp.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
 {
            Activity __a = null;
            if (programhelp.previousOne != null) {
				__a = programhelp.previousOne.get();
			}
            else {
                BA ba = programhelp.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

}
public anywheresoftware.b4a.keywords.Common __c = null;
public static String _htmldir = "";
public static String _htmlfile = "";
public anywheresoftware.b4a.objects.ScrollViewWrapper _svmenu = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlmenu = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblmenu = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblhelp = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblclose = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblclear = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblclearall = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbltogleprotect = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbldelete = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnmenu = null;
public b4a.example.starter _starter = null;
public b4a.example.programhelp _programhelp = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
int _syze = 0;
float _d = 0f;
float _s = 0f;
long _w = 0L;
long _ex = 0L;
anywheresoftware.b4a.objects.PanelWrapper _displaypanel = null;
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="Dim Syze 		As Int";
_syze = 0;
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="Dim D	 		As Float";
_d = 0f;
RDebugUtils.currentLine=131078;
 //BA.debugLineNum = 131078;BA.debugLine="Dim s			As Float";
_s = 0f;
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="Dim w    		As Long";
_w = 0L;
RDebugUtils.currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="Dim ex			As Long";
_ex = 0L;
RDebugUtils.currentLine=131082;
 //BA.debugLineNum = 131082;BA.debugLine="HtmlFile = \"BlankSudokuWeb.html\"";
_htmlfile = "BlankSudokuWeb.html";
RDebugUtils.currentLine=131083;
 //BA.debugLineNum = 131083;BA.debugLine="HtmlDir  = \"/HtmlHelpFiles/BlankSudoku/\"";
_htmldir = "/HtmlHelpFiles/BlankSudoku/";
RDebugUtils.currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="w = GetDeviceLayoutValues.Width";
_w = (long) (anywheresoftware.b4a.keywords.Common.GetDeviceLayoutValues(mostCurrent.activityBA).Width);
RDebugUtils.currentLine=131086;
 //BA.debugLineNum = 131086;BA.debugLine="s = GetDeviceLayoutValues.Scale";
_s = anywheresoftware.b4a.keywords.Common.GetDeviceLayoutValues(mostCurrent.activityBA).Scale;
RDebugUtils.currentLine=131087;
 //BA.debugLineNum = 131087;BA.debugLine="D = w/s/320";
_d = (float) (_w/(double)_s/(double)320);
RDebugUtils.currentLine=131098;
 //BA.debugLineNum = 131098;BA.debugLine="Syze = 18*D";
_syze = (int) (18*_d);
RDebugUtils.currentLine=131100;
 //BA.debugLineNum = 131100;BA.debugLine="Dim DisplayPanel As Panel";
_displaypanel = new anywheresoftware.b4a.objects.PanelWrapper();
RDebugUtils.currentLine=131101;
 //BA.debugLineNum = 131101;BA.debugLine="DisplayPanel.Initialize(\"\")";
_displaypanel.Initialize(mostCurrent.activityBA,"");
RDebugUtils.currentLine=131102;
 //BA.debugLineNum = 131102;BA.debugLine="DisplayPanel.Color = Colors.Black";
_displaypanel.setColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=131103;
 //BA.debugLineNum = 131103;BA.debugLine="Activity.AddView(DisplayPanel, 0, 0, 100%x, 100%y";
mostCurrent._activity.AddView((android.view.View)(_displaypanel.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
RDebugUtils.currentLine=131105;
 //BA.debugLineNum = 131105;BA.debugLine="lblMenu.Initialize(\"\")";
mostCurrent._lblmenu.Initialize(mostCurrent.activityBA,"");
RDebugUtils.currentLine=131106;
 //BA.debugLineNum = 131106;BA.debugLine="lblMenu.Gravity = Gravity.CENTER_VERTICAL";
mostCurrent._lblmenu.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
RDebugUtils.currentLine=131107;
 //BA.debugLineNum = 131107;BA.debugLine="lblMenu.Color = Colors.LightGray";
mostCurrent._lblmenu.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
RDebugUtils.currentLine=131108;
 //BA.debugLineNum = 131108;BA.debugLine="Activity.AddView(lblMenu, 3.5%x, 0, 82.5%x, 10%x)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._lblmenu.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (3.5),mostCurrent.activityBA),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (82.5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131110;
 //BA.debugLineNum = 131110;BA.debugLine="btnMenu.Initialize(\"MnuButton\")";
mostCurrent._btnmenu.Initialize(mostCurrent.activityBA,"MnuButton");
RDebugUtils.currentLine=131111;
 //BA.debugLineNum = 131111;BA.debugLine="btnMenu.Color = Colors.Magenta";
mostCurrent._btnmenu.setColor(anywheresoftware.b4a.keywords.Common.Colors.Magenta);
RDebugUtils.currentLine=131112;
 //BA.debugLineNum = 131112;BA.debugLine="Activity.AddView(btnMenu, 86.5%x, 0, 10%x, 10%x)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._btnmenu.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (86.5),mostCurrent.activityBA),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131114;
 //BA.debugLineNum = 131114;BA.debugLine="pnlMenu.Initialize(\"MenuPanel\")";
mostCurrent._pnlmenu.Initialize(mostCurrent.activityBA,"MenuPanel");
RDebugUtils.currentLine=131115;
 //BA.debugLineNum = 131115;BA.debugLine="pnlMenu.Color = Colors.Yellow";
mostCurrent._pnlmenu.setColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
RDebugUtils.currentLine=131116;
 //BA.debugLineNum = 131116;BA.debugLine="DisplayPanel.AddView(pnlMenu, 34.5%x, 10.5%x, 62%";
_displaypanel.AddView((android.view.View)(mostCurrent._pnlmenu.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (34.5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10.5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (31),mostCurrent.activityBA));
RDebugUtils.currentLine=131117;
 //BA.debugLineNum = 131117;BA.debugLine="pnlMenu.Visible = False";
mostCurrent._pnlmenu.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=131119;
 //BA.debugLineNum = 131119;BA.debugLine="svMenu.Initialize(500)";
mostCurrent._svmenu.Initialize(mostCurrent.activityBA,(int) (500));
RDebugUtils.currentLine=131120;
 //BA.debugLineNum = 131120;BA.debugLine="svMenu.Color = Colors.LightGray			'Placing the Li";
mostCurrent._svmenu.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
RDebugUtils.currentLine=131121;
 //BA.debugLineNum = 131121;BA.debugLine="svMenu.Panel.Height=61%x";
mostCurrent._svmenu.getPanel().setHeight(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (61),mostCurrent.activityBA));
RDebugUtils.currentLine=131122;
 //BA.debugLineNum = 131122;BA.debugLine="pnlMenu.AddView(svMenu, 0%x,  0%x, 62%x, 32%x)";
mostCurrent._pnlmenu.AddView((android.view.View)(mostCurrent._svmenu.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (32),mostCurrent.activityBA));
RDebugUtils.currentLine=131123;
 //BA.debugLineNum = 131123;BA.debugLine="ex = 0%x";
_ex = (long) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA));
RDebugUtils.currentLine=131125;
 //BA.debugLineNum = 131125;BA.debugLine="lblHelp.Initialize(\"MnuHelp\")";
mostCurrent._lblhelp.Initialize(mostCurrent.activityBA,"MnuHelp");
RDebugUtils.currentLine=131126;
 //BA.debugLineNum = 131126;BA.debugLine="lblHelp.Color = Colors.Yellow";
mostCurrent._lblhelp.setColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
RDebugUtils.currentLine=131127;
 //BA.debugLineNum = 131127;BA.debugLine="lblHelp.Gravity = Gravity.CENTER_VERTICAL";
mostCurrent._lblhelp.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
RDebugUtils.currentLine=131128;
 //BA.debugLineNum = 131128;BA.debugLine="lblHelp.TextSize = Syze";
mostCurrent._lblhelp.setTextSize((float) (_syze));
RDebugUtils.currentLine=131129;
 //BA.debugLineNum = 131129;BA.debugLine="lblHelp.TextColor = Colors.Black";
mostCurrent._lblhelp.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=131130;
 //BA.debugLineNum = 131130;BA.debugLine="lblHelp.Text = \"  Help\"";
mostCurrent._lblhelp.setText((Object)("  Help"));
RDebugUtils.currentLine=131131;
 //BA.debugLineNum = 131131;BA.debugLine="svMenu.Panel.AddView(lblHelp, 0%x, ex, 62%x, 10%x";
mostCurrent._svmenu.getPanel().AddView((android.view.View)(mostCurrent._lblhelp.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),(int) (_ex),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131132;
 //BA.debugLineNum = 131132;BA.debugLine="ex = ex+10%x";
_ex = (long) (_ex+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131134;
 //BA.debugLineNum = 131134;BA.debugLine="lblClose.Initialize(\"MnuClose\")";
mostCurrent._lblclose.Initialize(mostCurrent.activityBA,"MnuClose");
RDebugUtils.currentLine=131135;
 //BA.debugLineNum = 131135;BA.debugLine="lblClose.Color = Colors.Yellow";
mostCurrent._lblclose.setColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
RDebugUtils.currentLine=131136;
 //BA.debugLineNum = 131136;BA.debugLine="lblClose.Gravity = Gravity.CENTER_VERTICAL";
mostCurrent._lblclose.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
RDebugUtils.currentLine=131137;
 //BA.debugLineNum = 131137;BA.debugLine="lblClose.TextSize = Syze";
mostCurrent._lblclose.setTextSize((float) (_syze));
RDebugUtils.currentLine=131138;
 //BA.debugLineNum = 131138;BA.debugLine="lblClose.TextColor = Colors.Black";
mostCurrent._lblclose.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=131139;
 //BA.debugLineNum = 131139;BA.debugLine="lblClose.Text = \"  Close\"";
mostCurrent._lblclose.setText((Object)("  Close"));
RDebugUtils.currentLine=131140;
 //BA.debugLineNum = 131140;BA.debugLine="svMenu.Panel.AddView(lblClose, 0%x, ex, 62%x, 10%";
mostCurrent._svmenu.getPanel().AddView((android.view.View)(mostCurrent._lblclose.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),(int) (_ex),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131141;
 //BA.debugLineNum = 131141;BA.debugLine="ex = ex+10%x";
_ex = (long) (_ex+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131143;
 //BA.debugLineNum = 131143;BA.debugLine="lblClear.Initialize(\"MnuClear\")";
mostCurrent._lblclear.Initialize(mostCurrent.activityBA,"MnuClear");
RDebugUtils.currentLine=131144;
 //BA.debugLineNum = 131144;BA.debugLine="lblClear.Color = Colors.Yellow";
mostCurrent._lblclear.setColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
RDebugUtils.currentLine=131145;
 //BA.debugLineNum = 131145;BA.debugLine="lblClear.Gravity = Gravity.CENTER_VERTICAL";
mostCurrent._lblclear.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
RDebugUtils.currentLine=131146;
 //BA.debugLineNum = 131146;BA.debugLine="lblClear.TextSize = Syze";
mostCurrent._lblclear.setTextSize((float) (_syze));
RDebugUtils.currentLine=131147;
 //BA.debugLineNum = 131147;BA.debugLine="lblClear.TextColor = Colors.Black";
mostCurrent._lblclear.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=131148;
 //BA.debugLineNum = 131148;BA.debugLine="lblClear.Text = \"  Clear\"";
mostCurrent._lblclear.setText((Object)("  Clear"));
RDebugUtils.currentLine=131149;
 //BA.debugLineNum = 131149;BA.debugLine="svMenu.Panel.AddView(lblClear, 0%x, ex, 62%x, 10%";
mostCurrent._svmenu.getPanel().AddView((android.view.View)(mostCurrent._lblclear.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),(int) (_ex),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131150;
 //BA.debugLineNum = 131150;BA.debugLine="ex = ex+10%x";
_ex = (long) (_ex+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131152;
 //BA.debugLineNum = 131152;BA.debugLine="lblClearAll.Initialize(\"MnuClearAll\")";
mostCurrent._lblclearall.Initialize(mostCurrent.activityBA,"MnuClearAll");
RDebugUtils.currentLine=131153;
 //BA.debugLineNum = 131153;BA.debugLine="lblClearAll.Color = Colors.Yellow";
mostCurrent._lblclearall.setColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
RDebugUtils.currentLine=131154;
 //BA.debugLineNum = 131154;BA.debugLine="lblClearAll.Gravity = Gravity.CENTER_VERTICAL";
mostCurrent._lblclearall.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
RDebugUtils.currentLine=131155;
 //BA.debugLineNum = 131155;BA.debugLine="lblClearAll.TextSize = Syze";
mostCurrent._lblclearall.setTextSize((float) (_syze));
RDebugUtils.currentLine=131156;
 //BA.debugLineNum = 131156;BA.debugLine="lblClearAll.TextColor = Colors.Black";
mostCurrent._lblclearall.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=131157;
 //BA.debugLineNum = 131157;BA.debugLine="lblClearAll.Text = \"  Clear All\"";
mostCurrent._lblclearall.setText((Object)("  Clear All"));
RDebugUtils.currentLine=131158;
 //BA.debugLineNum = 131158;BA.debugLine="svMenu.Panel.AddView(lblClearAll, 0%x, ex, 62%x,";
mostCurrent._svmenu.getPanel().AddView((android.view.View)(mostCurrent._lblclearall.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),(int) (_ex),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131159;
 //BA.debugLineNum = 131159;BA.debugLine="ex = ex+10%x";
_ex = (long) (_ex+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131161;
 //BA.debugLineNum = 131161;BA.debugLine="lblTogleProtect.Initialize(\"MnuProtect\")";
mostCurrent._lbltogleprotect.Initialize(mostCurrent.activityBA,"MnuProtect");
RDebugUtils.currentLine=131162;
 //BA.debugLineNum = 131162;BA.debugLine="lblTogleProtect.Color = Colors.Yellow";
mostCurrent._lbltogleprotect.setColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
RDebugUtils.currentLine=131163;
 //BA.debugLineNum = 131163;BA.debugLine="lblTogleProtect.Gravity = Gravity.CENTER_VERTICAL";
mostCurrent._lbltogleprotect.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
RDebugUtils.currentLine=131164;
 //BA.debugLineNum = 131164;BA.debugLine="lblTogleProtect.TextSize = Syze";
mostCurrent._lbltogleprotect.setTextSize((float) (_syze));
RDebugUtils.currentLine=131165;
 //BA.debugLineNum = 131165;BA.debugLine="lblTogleProtect.TextColor = Colors.Black";
mostCurrent._lbltogleprotect.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=131166;
 //BA.debugLineNum = 131166;BA.debugLine="lblTogleProtect.Text = \"  Togel Protection\"";
mostCurrent._lbltogleprotect.setText((Object)("  Togel Protection"));
RDebugUtils.currentLine=131167;
 //BA.debugLineNum = 131167;BA.debugLine="svMenu.Panel.AddView(lblTogleProtect, 0%x, ex, 62";
mostCurrent._svmenu.getPanel().AddView((android.view.View)(mostCurrent._lbltogleprotect.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),(int) (_ex),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131168;
 //BA.debugLineNum = 131168;BA.debugLine="ex = ex+10%x";
_ex = (long) (_ex+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131170;
 //BA.debugLineNum = 131170;BA.debugLine="lblDelete.Initialize(\"MnuFileDelete\")";
mostCurrent._lbldelete.Initialize(mostCurrent.activityBA,"MnuFileDelete");
RDebugUtils.currentLine=131171;
 //BA.debugLineNum = 131171;BA.debugLine="lblDelete.Color = Colors.Yellow";
mostCurrent._lbldelete.setColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
RDebugUtils.currentLine=131172;
 //BA.debugLineNum = 131172;BA.debugLine="lblDelete.Gravity = Gravity.CENTER_VERTICAL";
mostCurrent._lbldelete.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
RDebugUtils.currentLine=131173;
 //BA.debugLineNum = 131173;BA.debugLine="lblDelete.TextSize = Syze";
mostCurrent._lbldelete.setTextSize((float) (_syze));
RDebugUtils.currentLine=131174;
 //BA.debugLineNum = 131174;BA.debugLine="lblDelete.TextColor = Colors.Black";
mostCurrent._lbldelete.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=131175;
 //BA.debugLineNum = 131175;BA.debugLine="lblDelete.Text = \"  Delete File\"";
mostCurrent._lbldelete.setText((Object)("  Delete File"));
RDebugUtils.currentLine=131176;
 //BA.debugLineNum = 131176;BA.debugLine="svMenu.Panel.AddView(lblDelete, 0%x, ex, 62%x, 10";
mostCurrent._svmenu.getPanel().AddView((android.view.View)(mostCurrent._lbldelete.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),(int) (_ex),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (62),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=131178;
 //BA.debugLineNum = 131178;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
anywheresoftware.b4a.phone.Phone _ph = null;
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="Dim ph	As Phone";
_ph = new anywheresoftware.b4a.phone.Phone();
RDebugUtils.currentLine=196611;
 //BA.debugLineNum = 196611;BA.debugLine="ph.SetScreenOrientation(1)";
_ph.SetScreenOrientation(processBA,(int) (1));
RDebugUtils.currentLine=196613;
 //BA.debugLineNum = 196613;BA.debugLine="If pnlMenu.Visible = True	Then";
if (mostCurrent._pnlmenu.getVisible()==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=196614;
 //BA.debugLineNum = 196614;BA.debugLine="pnlMenu.Visible = False";
mostCurrent._pnlmenu.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
RDebugUtils.currentLine=196619;
 //BA.debugLineNum = 196619;BA.debugLine="End Sub";
return "";
}
public static String  _mnubutton_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Sub mnuButton_Click";
RDebugUtils.currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="If pnlMenu.Visible = False Then";
if (mostCurrent._pnlmenu.getVisible()==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=1048581;
 //BA.debugLineNum = 1048581;BA.debugLine="pnlMenu.Visible = True";
mostCurrent._pnlmenu.setVisible(anywheresoftware.b4a.keywords.Common.True);
 }else {
RDebugUtils.currentLine=1048583;
 //BA.debugLineNum = 1048583;BA.debugLine="pnlMenu.Visible = False";
mostCurrent._pnlmenu.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
RDebugUtils.currentLine=1048588;
 //BA.debugLineNum = 1048588;BA.debugLine="End Sub";
return "";
}
public static String  _mnuhelp_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=589824;
 //BA.debugLineNum = 589824;BA.debugLine="Sub mnuHelp_Click";
RDebugUtils.currentLine=589825;
 //BA.debugLineNum = 589825;BA.debugLine="StartActivity(ProgramHelp)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._programhelp.getObject()));
RDebugUtils.currentLine=589826;
 //BA.debugLineNum = 589826;BA.debugLine="End Sub";
return "";
}
}