package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class programhelp extends Activity implements B4AActivity{
	public static programhelp mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.programhelp");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (programhelp).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.programhelp");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.programhelp", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (programhelp) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (programhelp) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return programhelp.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (programhelp) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (programhelp) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}



public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.WebViewWrapper _helpfile = null;
public b4a.example.main _main = null;
public b4a.example.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="programhelp";
anywheresoftware.b4a.objects.collections.List _list1 = null;
String _thisfile = "";
long _downloaddate = 0L;
long _helpdate = 0L;
anywheresoftware.b4a.objects.PanelWrapper _displaypanel = null;
int _i = 0;
RDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="Dim List1 As List";
_list1 = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=786436;
 //BA.debugLineNum = 786436;BA.debugLine="Dim ThisFile As String";
_thisfile = "";
RDebugUtils.currentLine=786437;
 //BA.debugLineNum = 786437;BA.debugLine="Dim DownLoadDate As Long";
_downloaddate = 0L;
RDebugUtils.currentLine=786438;
 //BA.debugLineNum = 786438;BA.debugLine="Dim HelpDate As Long";
_helpdate = 0L;
RDebugUtils.currentLine=786443;
 //BA.debugLineNum = 786443;BA.debugLine="Dim DisplayPanel As Panel";
_displaypanel = new anywheresoftware.b4a.objects.PanelWrapper();
RDebugUtils.currentLine=786444;
 //BA.debugLineNum = 786444;BA.debugLine="DisplayPanel.Initialize(\"\")";
_displaypanel.Initialize(mostCurrent.activityBA,"");
RDebugUtils.currentLine=786445;
 //BA.debugLineNum = 786445;BA.debugLine="DisplayPanel.Color = Colors.Black";
_displaypanel.setColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=786446;
 //BA.debugLineNum = 786446;BA.debugLine="Activity.AddView(DisplayPanel, 0, 0, 100%x, 100%y";
mostCurrent._activity.AddView((android.view.View)(_displaypanel.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
RDebugUtils.currentLine=786448;
 //BA.debugLineNum = 786448;BA.debugLine="helpfile.Initialize(\"\")";
mostCurrent._helpfile.Initialize(mostCurrent.activityBA,"");
RDebugUtils.currentLine=786449;
 //BA.debugLineNum = 786449;BA.debugLine="DisplayPanel.AddView(helpfile, 0, 0, 100%x, 100%y";
_displaypanel.AddView((android.view.View)(mostCurrent._helpfile.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
RDebugUtils.currentLine=786452;
 //BA.debugLineNum = 786452;BA.debugLine="If File.Exists(File.DirRootExternal & \"/Download/";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Download/WebHelp","BlankSudokuWeb.html")) { 
RDebugUtils.currentLine=786453;
 //BA.debugLineNum = 786453;BA.debugLine="DownLoadDate = File.LastModified(File.DirRootExt";
_downloaddate = anywheresoftware.b4a.keywords.Common.File.LastModified(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Download/WebHelp","BlankSudokuWeb.html");
 };
RDebugUtils.currentLine=786456;
 //BA.debugLineNum = 786456;BA.debugLine="If File.Exists(File.DirRootExternal & \"/HtmlHelpF";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/HtmlHelpFiles/BlankSudoku","BlankSudokuWeb.html")) { 
RDebugUtils.currentLine=786457;
 //BA.debugLineNum = 786457;BA.debugLine="HelpDate = File.LastModified(File.DirRootExterna";
_helpdate = anywheresoftware.b4a.keywords.Common.File.LastModified(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/HtmlHelpFiles/BlankSudoku","BlankSudokuWeb.html");
 };
RDebugUtils.currentLine=786460;
 //BA.debugLineNum = 786460;BA.debugLine="If File.IsDirectory(File.DirRootExternal, \"HtmlHe";
if (anywheresoftware.b4a.keywords.Common.File.IsDirectory(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"HtmlHelpFiles/BlankSudoku")==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=786461;
 //BA.debugLineNum = 786461;BA.debugLine="File.MakeDir(File.DirRootExternal, \"HtmlHelpFile";
anywheresoftware.b4a.keywords.Common.File.MakeDir(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"HtmlHelpFiles/BlankSudoku");
RDebugUtils.currentLine=786462;
 //BA.debugLineNum = 786462;BA.debugLine="If File.Exists(File.DirRootExternal & \"/Download";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Download/WebHelp","BlankSudokuWeb.html")) { 
RDebugUtils.currentLine=786463;
 //BA.debugLineNum = 786463;BA.debugLine="List1 = File.ListFiles(File.DirRootExternal & \"";
_list1 = anywheresoftware.b4a.keywords.Common.File.ListFiles(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Download/WebHelp");
RDebugUtils.currentLine=786464;
 //BA.debugLineNum = 786464;BA.debugLine="For i = 0 To List1.Size - 1";
{
final int step26 = 1;
final int limit26 = (int) (_list1.getSize()-1);
for (_i = (int) (0); (step26 > 0 && _i <= limit26) || (step26 < 0 && _i >= limit26); _i = ((int)(0 + _i + step26))) {
RDebugUtils.currentLine=786465;
 //BA.debugLineNum = 786465;BA.debugLine="Log(List1.Get(i))";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_list1.Get(_i)));
RDebugUtils.currentLine=786466;
 //BA.debugLineNum = 786466;BA.debugLine="ThisFile = (List1.Get(i))";
_thisfile = BA.ObjectToString((_list1.Get(_i)));
RDebugUtils.currentLine=786467;
 //BA.debugLineNum = 786467;BA.debugLine="If  File.IsDirectory(File.DirRootExternal, \"Do";
if (anywheresoftware.b4a.keywords.Common.File.IsDirectory(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"Download/WebHelp/"+_thisfile)==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=786468;
 //BA.debugLineNum = 786468;BA.debugLine="File.Copy(File.DirRootExternal & \"/Download/W";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Download/WebHelp",_thisfile,anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/HtmlHelpFiles/BlankSudoku",_thisfile);
 };
 }
};
 };
 }else {
RDebugUtils.currentLine=786473;
 //BA.debugLineNum = 786473;BA.debugLine="If DownLoadDate > HelpDate Then";
if (_downloaddate>_helpdate) { 
RDebugUtils.currentLine=786474;
 //BA.debugLineNum = 786474;BA.debugLine="If File.Exists(File.DirRootExternal & \"/Downloa";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Download/WebHelp","BlankSudokuWeb.html")) { 
RDebugUtils.currentLine=786475;
 //BA.debugLineNum = 786475;BA.debugLine="List1 = File.ListFiles(File.DirRootExternal &";
_list1 = anywheresoftware.b4a.keywords.Common.File.ListFiles(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Download/WebHelp");
RDebugUtils.currentLine=786476;
 //BA.debugLineNum = 786476;BA.debugLine="For i = 0 To List1.Size - 1";
{
final int step38 = 1;
final int limit38 = (int) (_list1.getSize()-1);
for (_i = (int) (0); (step38 > 0 && _i <= limit38) || (step38 < 0 && _i >= limit38); _i = ((int)(0 + _i + step38))) {
RDebugUtils.currentLine=786477;
 //BA.debugLineNum = 786477;BA.debugLine="Log(List1.Get(i))";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_list1.Get(_i)));
RDebugUtils.currentLine=786478;
 //BA.debugLineNum = 786478;BA.debugLine="ThisFile = (List1.Get(i))";
_thisfile = BA.ObjectToString((_list1.Get(_i)));
RDebugUtils.currentLine=786479;
 //BA.debugLineNum = 786479;BA.debugLine="If  File.IsDirectory(File.DirRootExternal, \"D";
if (anywheresoftware.b4a.keywords.Common.File.IsDirectory(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"Download/WebHelp/"+_thisfile)==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=786480;
 //BA.debugLineNum = 786480;BA.debugLine="File.Copy(File.DirRootExternal & \"/Download/";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Download/WebHelp",_thisfile,anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/HtmlHelpFiles/BlankSudoku",_thisfile);
 };
 }
};
 };
 };
 };
RDebugUtils.currentLine=786487;
 //BA.debugLineNum = 786487;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="programhelp";
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="programhelp";
anywheresoftware.b4a.phone.Phone _ph = null;
String _html = "";
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
RDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="Dim ph	As Phone";
_ph = new anywheresoftware.b4a.phone.Phone();
RDebugUtils.currentLine=851971;
 //BA.debugLineNum = 851971;BA.debugLine="ph.SetScreenOrientation(-1)";
_ph.SetScreenOrientation(processBA,(int) (-1));
RDebugUtils.currentLine=851973;
 //BA.debugLineNum = 851973;BA.debugLine="Dim Html As String";
_html = "";
RDebugUtils.currentLine=851974;
 //BA.debugLineNum = 851974;BA.debugLine="Dim tr   As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
RDebugUtils.currentLine=851976;
 //BA.debugLineNum = 851976;BA.debugLine="tr.Initialize2(File.OpenInput(File.DirRootExte";
_tr.Initialize2((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),mostCurrent._main._htmldir+mostCurrent._main._htmlfile).getObject()),"ISO-8859-1");
RDebugUtils.currentLine=851977;
 //BA.debugLineNum = 851977;BA.debugLine="Html = tr.ReadAll";
_html = _tr.ReadAll();
RDebugUtils.currentLine=851979;
 //BA.debugLineNum = 851979;BA.debugLine="LoadDataWithBaseUrl(helpfile, File.DirRootExte";
_loaddatawithbaseurl(mostCurrent._helpfile,anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+mostCurrent._main._htmldir,_html);
RDebugUtils.currentLine=851980;
 //BA.debugLineNum = 851980;BA.debugLine="End Sub";
return "";
}
public static String  _loaddatawithbaseurl(anywheresoftware.b4a.objects.WebViewWrapper _wv,String _sbaseurl,String _shtml) throws Exception{
RDebugUtils.currentModule="programhelp";
anywheresoftware.b4a.agraham.reflection.Reflection _r = null;
RDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Sub LoadDataWithBaseUrl(wv As WebView, sBaseUrl As";
RDebugUtils.currentLine=983045;
 //BA.debugLineNum = 983045;BA.debugLine="Dim r As Reflector";
_r = new anywheresoftware.b4a.agraham.reflection.Reflection();
RDebugUtils.currentLine=983046;
 //BA.debugLineNum = 983046;BA.debugLine="r.Target = wv";
_r.Target = (Object)(_wv.getObject());
RDebugUtils.currentLine=983047;
 //BA.debugLineNum = 983047;BA.debugLine="r.RunMethod4(\"loadDataWithBaseURL\", Array As Obj";
_r.RunMethod4("loadDataWithBaseURL",new Object[]{(Object)(_sbaseurl),(Object)(_shtml),anywheresoftware.b4a.keywords.Common.Null,(Object)("UTF-8"),anywheresoftware.b4a.keywords.Common.Null},new String[]{"java.lang.String","java.lang.String","java.lang.String","java.lang.String","java.lang.String"});
RDebugUtils.currentLine=983048;
 //BA.debugLineNum = 983048;BA.debugLine="End Sub";
return "";
}
}